Subject: 26.0.91; python sending code to shell should show the code sent

From: Alex Branham <[email-masked]>
Date: Tue, 27 Feb 2018 12:04:48 -0600

Sending code from a python buffer to an inferior python process should
show the code sent, especially when called interactively. So if I have a
python buffer:

[1, 2, 3, 4, 5]

Starting an inferior process (C-c C-p) and running C-x h M-x
python-shell-send-region should result in an inferior buffer that looks
something like this:

Python 3.6.4 (default, Jan  5 2018, 02:35:40)
[GCC 7.2.1 20171224] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> [1, 2, 3, 4, 5]
[1, 2, 3, 4, 5]